1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

vBulletin Importing - 3.5?

Discussion in 'XenForo Pre-Sales Questions' started by ZacUSNYR, Mar 25, 2011.

  1. ZacUSNYR

    ZacUSNYR Member

    I haven't wanted to upgrade my custom site in years. Running on 3.5 . Never was a fan of the interface on 4 or the whole fiasco that went on with vBulletin in general. Plus the licensing is now a joke.

    Found XenForo and it seems exactly what i'm looking at for my upgrade path. Planning on taking my data (Users/passwords/forum layout/threads/posts/possibly polls and attachments) and going to ipb but this software is very interesting.

    Reading some of the threads here - see the converter is for 3.7/3.8? What would be my import success going from 3.5 to XenForo?

    Thanks for the help and keep up the great work!
  2. Brogan

    Brogan XenForo Moderator Staff Member

    Are there major database schema changes from 3.5 to 3.7?

    I'm not familiar with vBulletin at all but I suspect there shouldn't be too many problems.

    Is there any reason why you can't upgrade to the latest 3.x vB version before converting?
    It would be a simple job to update to the latest version and then do the import to XenForo.
  3. ZacUSNYR

    ZacUSNYR Member

    I'm not familar with the DB structure post 3.6 - so i'm not sure. I didn't bother with my maintenance update because of how tweaked I had this one forum. Sold off my other 2 licenses before 4 hit. Been out of it for a little while. So my latest download is in the 3.5 seed unfortunately. I'll give it a shot and report back with my results lol
  4. ZacUSNYR

    ZacUSNYR Member

    Found that - I'm going to go for it :)
  5. Brogan

    Brogan XenForo Moderator Staff Member

  6. borbole

    borbole Well-Known Member

    I think the converter will work fine with your version as well.
  7. Phillip

    Phillip Active Member

    Earlier, wasn't the 3.x importer only compatible with vBulletin 3.7 or 3.8? Has this changed to support any 3.x version? We're running 3.6 so if so, this would make the import a little easier.
  8. Brogan

    Brogan XenForo Moderator Staff Member

    It is still officially a 3.7/8 importer.
  9. Dean

    Dean Well-Known Member

    Well, if you are going for it, you could do a test import to see how well it imports. I've got a hunch all would be well enough imported.
  10. Rudy

    Rudy Well-Known Member

    IIRC, weren't vB's database changes between versions mainly additional tables or additional fields added to existing tables? I am thinking the core vB information is probably where XF needs to find it.
  11. Dean

    Dean Well-Known Member

    I believe you are correct, but am not 100% sure. Tables and fields were probably added in the newer versions, but I cannot say the import will work with any certainty.
  12. Rudy

    Rudy Well-Known Member

    That's true. I am working on a mess of an import right now...can't import polls from phpBB2 to vB to XF without losing the counts. Plus, trying to import WebBBS into either phpBB2 (I have an ancient Perl script that worked previously, but not now), or to vB (which from my glance, isn't even written right to work...and of course, vB won't support it :rolleyes: ).

    To say this has all been a learning experience is an understatement. :D
  13. Brogan

    Brogan XenForo Moderator Staff Member

    It was confirmed today that importing from 3.6 doesn't work so 3.5 also won't work.

    There are database schema changes from 3.5/6 to 3.7 so you will need to first upgrade your vB installation before importing.
  14. ZacUSNYR

    ZacUSNYR Member

    Thanks brogan. Helps a ton.

Share This Page